function s = getOutputAppr(rb_coeffs_state,rb_coeffs_adj, thetaState)

  global prob;
  
  N_pr = length(rb_coeffs_state);
  s = rb_coeffs_state'*prob.output.pre.L(1:N_pr);
  if (nargin==1)
    return;
  end
  
  N_du = length(rb_coeffs_adj);
  Q_rhs = length(thetaState.rhs);
  Q_lhs = length(thetaState.lhs);
  
  L = prob.output.pre.rhs.L(:,1:Q_rhs)*thetaState.rhs;
  L = L(1:N_du);
  
  K = reshape(prob.output.pre.lhs.K(:,1:Q_lhs)*thetaState.lhs, ...
              prob.adjoint.RB.Nmax,prob.state.RB.Nmax);
  K = K(1:N_du,1:N_pr); 
            
  s = s - rb_coeffs_adj'*L + rb_coeffs_adj'*K*rb_coeffs_state;